# ShortSeqC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`

Include dependency graph for ShortSeqC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | TAO

## Classes

class | CORBA::ShortSeq

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_SHORTSEQ_CH_

## Typedefs

typedef TAO_FixedSeq_Var_T< ShortSeq, CORBA::Short > | ShortSeq_var
typedef TAO_Seq_Out_T< ShortSeq, ShortSeq_var, CORBA::Short > | ShortSeq_out

## Functions

TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::ShortSeq &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::ShortSeq &)

## Define Documentation

#define _CORBA_SHORTSEQ_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_Seq_Out_T< ShortSeq, ShortSeq_var, CORBA::Short > CORBA::ShortSeq_out

typedef TAO_FixedSeq_Var_T< ShortSeq, CORBA::Short > CORBA::ShortSeq_var

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::ShortSeq & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::ShortSeq & |
| ) |